# lecle_screen_manager
[![pub package](https://img.shields.io/pub/v/screen.svg)](https://pub.dartlang.org/packages/lecle_screen_manager)
A Flutter plugin to manage the device's screen on Android and iOS.

## Usage
To use this plugin, add `screen` as a [dependency in your pubspec.yaml file](https://flutter.io/platform-plugins/).

Make sure you add the following permissions to your Android Manifest
```
<uses-permission android:name="android.permission.WAKE_LOCK" />
```

## Example
``` dart
// Import package
import 'package:lecle_screen_manager/lecle_screen_manager.dart';

// Get the current brightness:
double brightness = await LecleScreenManager.brightness;

// Set the brightness:
LecleScreenManager.setBrightness(0.5);

// Check if the screen is kept on:
bool isKeptOn = await LecleScreenManager.isKeptOn;

// Prevent screen from going into sleep mode:
LecleScreenManager.keepOn(true);
```
