import Flutter
import UIKit

public class SwiftLecleScreenManagerPlugin: NSObject, FlutterPlugin {
    public static func register(with registrar: FlutterPluginRegistrar) {
        let channel = FlutterMethodChannel(name: "lecle_screen_manager", binaryMessenger: registrar.messenger())
        let instance = SwiftLecleScreenManagerPlugin()
        registrar.addMethodCallDelegate(instance, channel: channel)
    }
    
    public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
        switch call.method {
        case "brightness":
            result(NSNumber(value: Float(UIScreen.main.brightness)))
        case "setBrightness":
            guard let result = call.arguments else {
                return
            }
            let res = result as? [String:Any]
            let brightness = res?["brightness"] as? Double
            UIScreen.main.brightness = CGFloat(Float(brightness ?? 0.0))
        case "isKeptOn":
            let isIdleTimerDisabled = UIApplication.shared.isIdleTimerDisabled
            result(NSNumber(value: isIdleTimerDisabled))
        case "keepOn":
            guard let result = call.arguments else {
                return
            }
            let res = result as? [String:Any]
            let b = res?["on"] as? Bool
            UIApplication.shared.isIdleTimerDisabled = b ?? false
        default:
            result(FlutterMethodNotImplemented)
        }
    }
}
